commit:     95fe9c883a26ba9aa92ada4aea62b754b429742a
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jun  4 15:37:44 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jun  4 15:40:05 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=95fe9c88

dev-python/pipx: Bump to 1.6.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pipx/Manifest          |  3 ++
 dev-python/pipx/pipx-1.6.0.ebuild | 98 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 101 insertions(+)

diff --git a/dev-python/pipx/Manifest b/dev-python/pipx/Manifest
index d60fee2198cc..963fa793102c 100644
--- a/dev-python/pipx/Manifest
+++ b/dev-python/pipx/Manifest
@@ -1,3 +1,6 @@
+DIST pip-23.3.2-py3-none-any.whl 2109393 BLAKE2B 
278b9941f93951508ae2f508b1b5a9fddd4ca11fac1d5b0c2ac994f8e8457226a4e8c4501078776476e0bae56fd82b989ebaf4f5f484ffe7b0ee79789e34aca8
 SHA512 
a1449fe400787f73ac26cb48acaae71208a2e696f9ce4992b44e11da29646b018c2f6c27a95b12e42531236fe658e0605e20d5dfa740c43e005c01da3db802da
 DIST pipx-1.4.1-test-shim.tar.xz 76316 BLAKE2B 
25200c9519f8e916cba3933b4df3cc808d5575ac055c4465dbd4cf0ced92bc7f0bca5c448e324b9d61a0cf70710f584cfba6106859ffcccf42e0f59910b81cd0
 SHA512 
760ad73c67588747bed91b7172821a8e899e52fff8966836d7a2b3dc8cd3946006c76fdcae0320364fe0cb5afc8b51dd583c0a3720099812702fb585b98b9fef
 DIST pipx-1.4.3.gh.tar.gz 361782 BLAKE2B 
579f16fe9c8fca973a2fdd1dc6b0cee9ae9d3da37be5acd1cc9d14e37fb291f678986bcfd52b185ebce3200000817a9dacdce95473f9fd498d4f6dc89cf7d3da
 SHA512 
423310d4a2523fdb0eca69fd5ee861f8cad144f458aaf63008ca018fea0dc3b6a4274f7cae1ffdde45013dd85eee05a4a379589a93f4c369376e122a5dc4f23e
 DIST pipx-1.5.0.gh.tar.gz 374890 BLAKE2B 
214e6a3f73815888ab06fbf75e09434cf033bba402a0aa39d803a24ad052d3b9ece1d6daab79f1c5196e8da09d1ea085f96f816da4240df6ec67f88f8d1f2121
 SHA512 
7d8d64f2b042f050153dee27a759de2734a567a445470411c2838292e9365cfa18199cb096c0015651210e656173006be0cba20a16cc4b3ebc211a6a2caef2c7
+DIST pipx-1.6.0-test-shim.tar.xz 71508 BLAKE2B 
f6625796b733911aeee7157d726888ef251ef43a806008a07dadcc290a22d331494ab6906ab1f5e06bf11180d295c1c6445c1a3c4d20eafb0f19fdacef02becb
 SHA512 
a30adb15c78c8f6f9febedf4a899c665bd185ae0e9dbb5278b962fab9d47164601e7f354f61dd600df856a16d9620a586f9f5795a2985172f938fc376c840a6c
+DIST pipx-1.6.0.gh.tar.gz 389164 BLAKE2B 
07b603202a44136892e196066fa6d1b85fce2c7d91d798f75edf3f2a18e2924e55487dbd63747948cfc82ea3ca600bdd09e6995a9ee5954c1f4287a4f255a43b
 SHA512 
ae241bb518b240348b5811ee9d278c927cc0e703e6cd0da6225b2e47d727ac1ab54b5ac8fc207da849afc383cfe77ca6a95a62efcb33edc238bb607eada8b00b

diff --git a/dev-python/pipx/pipx-1.6.0.ebuild 
b/dev-python/pipx/pipx-1.6.0.ebuild
new file mode 100644
index 000000000000..f589008465d8
--- /dev/null
+++ b/dev-python/pipx/pipx-1.6.0.ebuild
@@ -0,0 +1,98 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+# To update test shim, use https://github.com/projg2/pipx-repack-wheels
+TEST_SHIM=pipx-1.6.0-test-shim
+DESCRIPTION="Install and Run Python Applications in Isolated Environments"
+HOMEPAGE="
+       https://pipx.pypa.io/stable/
+       https://pypi.org/project/pipx/
+       https://github.com/pypa/pipx/
+"
+# no tests in sdist
+SRC_URI="
+       https://github.com/pypa/pipx/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+       test? (
+               https://dev.gentoo.org/~mgorny/dist/${TEST_SHIM}.tar.xz
+               $(pypi_wheel_url pip 23.3.2)
+       )
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+       >=dev-python/argcomplete-1.9.4[${PYTHON_USEDEP}]
+       >=dev-python/packaging-20.0[${PYTHON_USEDEP}]
+       >=dev-python/platformdirs-2.1[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep '
+               dev-python/tomli[${PYTHON_USEDEP}]
+       ' 3.10)
+       >=dev-python/userpath-1.9.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       dev-python/hatch-vcs[${PYTHON_USEDEP}]
+       test? (
+               dev-python/ensurepip-pip
+               dev-python/ensurepip-setuptools
+               dev-python/ensurepip-wheel
+               dev-python/pypiserver[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+src_prepare() {
+       if use test; then
+               cp -vs 
"${BROOT}"/usr/lib/python/ensurepip/{pip,setuptools,wheel}-*.whl \
+                       "${WORKDIR}/${TEST_SHIM}/" || die
+               # needed for pinned pin version test
+               cp -vs "${DISTDIR}"/pip-23.3.2-py3-none-any.whl \
+                       "${WORKDIR}/${TEST_SHIM}/" || die
+               mkdir -p .pipx_tests/package_cache || die
+               local v
+               for v in 3.{10..12}; do
+                       ln -s "${WORKDIR}/${TEST_SHIM}" \
+                               ".pipx_tests/package_cache/${v}" || die
+               done
+
+               : > scripts/update_package_cache.py || die
+               # sigh
+               sed -e 's:server = str.*:server = "pypi-server":' \
+                       -i tests/conftest.py || die
+       fi
+
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # Internet
+               tests/test_run.py::test_run_ensure_null_pythonpath
+               tests/test_run.py::test_run_script_from_internet
+               
'tests/test_install.py::test_install_package_specs[pycowsay-git+https://github.com/cs01/pycowsay.git@master]'
+               tests/test_install.py::test_force_install_changes
+               
'tests/test_install.py::test_install_package_specs[nox-https://github.com/wntrblm/nox/archive/2022.1.7.zip]'
+               tests/test_interpreter.py::test_fetch_missing_python
+               tests/test_list.py::test_list_standalone_interpreter
+               tests/test_standalone_interpreter.py
+               # TODO
+               tests/test_environment.py::test_cli
+               tests/test_run.py::test_cachedir_tag
+       )
+
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest
+}

Reply via email to